﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IBankDataParser.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="IBankDataParser" /> interface.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Business.Parser
{
    using System.Collections.Generic;

    using Hisaab.Business.Entities;

    /// <summary>
    /// Defines the <seealso cref="IBankDataParser"/> interface.
    /// </summary>
    public interface IBankDataParser
    {
        /// <summary>
        /// Imports the CSV.
        /// </summary>
        /// <param name="fileName">The fileName.</param>
        /// <returns>Transactions imported from csv</returns>
        IEnumerable<Transaction> ImportCsv(string fileName);
    }
}