﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountSummary.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the AccountSummary type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Business.Entities
{
    using System;
    using System.Collections.Generic;

    /// <summary>
    /// Defines the <seealso cref="Hisaab.Business.Entities.AccountSummary"/> type.
    /// </summary>
    public class AccountSummary
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="AccountSummary"/> class.
        /// </summary>
        public AccountSummary()
        {
            ChartData = new[]
                            {
                                new KeyValuePair<string, decimal>(DateTime.Now.ToString(), 100),
                                new KeyValuePair<string, decimal>(DateTime.Now.AddMonths(1).ToString(), 130),
                                new KeyValuePair<string, decimal>(DateTime.Now.AddMonths(2).ToString(), 150),
                                new KeyValuePair<string, decimal>(DateTime.Now.AddMonths(3).ToString(), 125),
                                new KeyValuePair<string, decimal>(DateTime.Now.AddMonths(4).ToString(), 155)
                            };
        }

        /// <summary>
        /// Gets or sets the transaction count.
        /// </summary>
        /// <value>
        /// The transaction count.
        /// </value>
        public int TransactionCount { get; set; }

        /// <summary>
        /// Gets or sets the ending balance.
        /// </summary>
        /// <value>
        /// The ending balance.
        /// </value>
        public decimal EndingBalance { get; set; }

        /// <summary>
        /// Gets or sets the chart data.
        /// </summary>
        /// <value>
        /// The chart data.
        /// </value>
        public KeyValuePair<string, decimal>[] ChartData { get; set; }
    }
}