﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Bill.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Bill" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Business.Entities
{
    using System;

    /// <summary>
    ///  Defines the <seealso cref="Bill"/> type.
    /// </summary>
    public class Bill
    {
        #region Primitive Properties

        /// <summary>
        /// Gets or sets the id.
        /// </summary>
        /// <value>The id.</value>
        public int Id { get; set; }

        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>The name.</value>
        public string Name { get; set; }

        /// <summary>
        /// Gets or sets the amount.
        /// </summary>
        /// <value>The amount.</value>
        public decimal Amount { get; set; }

        /// <summary>
        /// Gets or sets the due date.
        /// </summary>
        /// <value>The due date.</value>
        public DateTime? DueDate { get; set; }

        /// <summary>
        /// Gets or sets the recurring.
        /// </summary>
        /// <value>The recurring.</value>
        public bool? Recurring { get; set; }

        /// <summary>
        /// Gets or sets the paid.
        /// </summary>
        /// <value>The paid.</value>
        public bool? Paid { get; set; }

        /// <summary>
        /// Gets or sets the recurring fequency.
        /// </summary>
        /// <value>The recurring fequency.</value>
        public int? RecurringFequency { get; set; }

        /// <summary>
        /// Gets or sets the expiry date.
        /// </summary>
        /// <value>The expiry date.</value>
        public DateTime? ExpiryDate { get; set; }

        #endregion Primitive Properties
    }
}