// --------------------------------------------------------------------------------------------------------------------
// <copyright file="SummaryReport.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="SummaryReport" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Business.Entities
{
    /// <summary>
    /// Defines the <seealso cref="SummaryReport"/> type.
    /// </summary>
    public class SummaryReport
    {
        /// <summary>
        /// Gets or sets the income.
        /// </summary>
        /// <value>
        /// The income.
        /// </value>
        public decimal Income { get; set; }

        /// <summary>
        /// Gets or sets the expanse.
        /// </summary>
        /// <value>
        /// The expanse.
        /// </value>
        public decimal Expanse { get; set; }

        /// <summary>
        /// Gets or sets the total worth.
        /// </summary>
        /// <value>
        /// The total worth.
        /// </value>
        public decimal TotalWorth { get; set; }

        /// <summary>
        /// Gets or sets the expected saving.
        /// </summary>
        /// <value>
        /// The expected saving.
        /// </value>
        public decimal ExpectedSaving { get; set; }

        /// <summary>
        /// Gets or sets the percent change.
        /// </summary>
        /// <value>
        /// The percent change.
        /// </value>
        public decimal PercentIncomeChange { get; set; }

        /// <summary>
        /// Gets or sets the percent expanse change.
        /// </summary>
        /// <value>
        /// The percent expanse change.
        /// </value>
        public decimal PercentExpanseChange { get; set; }
    }
}