﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Target.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the Target type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Business.Entities
{
    using System;

    /// <summary>
    ///  Defines the <seealso cref="Target"/> type.
    /// </summary>
    public class Target
    {
        /// <summary>
        /// Gets or sets the id.
        /// </summary>
        /// <value>The id.</value>
        public int Id { get; set; }

        /// <summary>
        /// Gets or sets the title.
        /// </summary>
        /// <value>The title.</value>
        public string Title { get; set; }

        /// <summary>
        /// Gets or sets the tag id.
        /// </summary>
        /// <value>The tag id.</value>
        public int TagId { get; set; }

        /// <summary>
        /// Gets or sets the account id.
        /// </summary>
        /// <value>The account id.</value>
        public int AccountId { get; set; }

        /// <summary>
        /// Gets or sets the amount.
        /// </summary>
        /// <value>The amount.</value>
        public decimal Amount { get; set; }

        /// <summary>
        /// Gets or sets the type of the target.
        /// </summary>
        /// <value>The type of the target.</value>
        public int TargetType { get; set; }

        /// <summary>
        /// Gets or sets the target date.
        /// </summary>
        /// <value>The target date.</value>
        public DateTime TargetDate { get; set; }
    }
}