// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TransactionFilter.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Hisaab.Business.Entities.TransactionFilter" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Business.Entities
{
    using System;

    /// <summary>
    /// Defines the <seealso cref="Hisaab.Business.Entities.TransactionFilter"/> type.
    /// </summary>
    public class TransactionFilter
    {
        /// <summary>
        /// Gets or sets the sort by.
        /// </summary>
        /// <value>
        /// The sort by.
        /// </value>
        public SortByType SortBy { get; set; }

        /// <summary>
        /// Gets or sets the order by.
        /// </summary>
        /// <value>
        /// The order by.
        /// </value>
        public OrderByType OrderBy { get; set; }

        /// <summary>
        /// Gets or sets the start date.
        /// </summary>
        /// <value>
        /// The start date.
        /// </value>
        public DateTime StartDate { get; set; }

        /// <summary>
        /// Gets or sets the end date.
        /// </summary>
        /// <value>
        /// The end date.
        /// </value>
        public DateTime EndDate { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether [include income].
        /// </summary>
        /// <value>
        ///   <c>true</c> if [include income]; otherwise, <c>false</c>.
        /// </value>
        public bool IncludeIncome { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether [include expanse].
        /// </summary>
        /// <value>
        ///   <c>true</c> if [include expanse]; otherwise, <c>false</c>.
        /// </value>
        public bool IncludeExpanse { get; set; }
    }
}