﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IBillManager.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="IBillManager" /> interface.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Business.Interfaces
{
    using Hisaab.Business.Entities;

    /// <summary>
    ///  Defines the <seealso cref="IBillManager"/> interface.
    /// </summary>
    public interface IBillManager : IManagerBase<Bill>
    {
        /// <summary>
        /// Gets the by id.
        /// </summary>
        /// <param name="id">The id of Bill</param>
        /// <returns>Bill matching by id</returns>
        Bill GetById(int id);

        /// <summary>
        /// Gets the name of the by.
        /// </summary>
        /// <param name="billName">Name of the Bill.</param>
        /// <returns>Bill matching by name</returns>
        Bill GetByName(string billName);
    }
}