﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ITargetManager.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="ITargetManager" /> interface.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Business.Interfaces
{
    using Hisaab.Business.Entities;

    /// <summary>
    ///  Defines the <seealso cref="ITargetManager"/> interface.
    /// </summary>
    public interface ITargetManager : IManagerBase<Target>
    {
        /// <summary>
        /// Gets the by id.
        /// </summary>
        /// <param name="id">The id of target</param>
        /// <returns>Target matching by id</returns>
        Target GetById(int id);

        /// <summary>
        /// Gets the name of the by.
        /// </summary>
        /// <param name="targetName">Name of the target.</param>
        /// <returns>Target matching by name</returns>
        Target GetByName(string targetName);
    }
}