﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IVehicleManager.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the IVehicleManager type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Business.Interfaces
{
    using Entities;

    /// <summary>
    /// Defines the <seealso cref="Hisaab.Business.Interfaces.IVehicleManager"/> interface.
    /// </summary>
    public interface IVehicleManager : IManagerBase<Vehicle>
    {
        /// <summary>
        /// Gets the by id.
        /// </summary>
        /// <param name="id">The vehicle id.</param>
        /// <returns>Vehicle matching the id</returns>
        Vehicle GetById(int id);
    }
}