﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IVehicleTransactionManager.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the IVehicleTagRepository type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Business.Interfaces
{
    using Entities;

    /// <summary>
    /// Defines the <seealso cref="Hisaab.Business.Interfaces.IVehicleTransactionManager"/> interface.
    /// </summary>
    public interface IVehicleTransactionManager : IManagerBase<VehicleTransaction>
    {
        /// <summary>
        /// Gets the by id.
        /// </summary>
        /// <param name="id">The vehicle transaction id.</param>
        /// <returns>Vehicle transaction matching id</returns>
        VehicleTransaction GetById(int id);
    }
}