// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ContextualTabViewModel.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="ContextualTabViewModel" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Common.BaseClasses
{
    /// <summary>
    /// Defines the <seealso cref="ContextualTabViewModel"/> type.
    /// </summary>
    public class ContextualTabViewModel : ViewModelBase
    {
        /// <summary>
        /// Member variable _contextViewModel
        /// </summary>
        private ViewModelBase _contextViewModel;

        /// <summary>
        /// Gets or sets the transactions view model.
        /// </summary>
        /// <value>
        /// The transactions view model.
        /// </value>
        public ViewModelBase ContextViewModel
        {
            get
            {
                return _contextViewModel;
            }

            set
            {
                RaisePropertyChangingEvent("ContextViewModel");
                _contextViewModel = value;
                RaisePropertyChangedEvent("ContextViewModel");
            }
        }
    }
}