﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="NavigationItemSelectCommand.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the NavigationItemSelectCommand type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Common.Commands
{
    using System.Windows;
    using System.Windows.Input;

    /// <summary>
    ///  Defines the <seealso cref="NavigationItemSelectCommand"/> type.
    /// </summary>
    public class NavigationItemSelectCommand : DependencyObject
    {
        /// <summary>
        /// Dependency Property SelectedCommand
        /// </summary>
        public static readonly DependencyProperty SelectedCommandProperty =
            DependencyProperty.Register("SelectedCommand", typeof(ICommand), typeof(NavigationItemSelectCommand), new PropertyMetadata(default(ICommand)));

        /// <summary>
        /// Gets or sets the selected command.
        /// </summary>
        /// <value>The selected command.</value>
        public ICommand SelectedCommand
        {
            get { return (ICommand)GetValue(SelectedCommandProperty); }
            set { SetValue(SelectedCommandProperty, value); }
        }
    }
}