﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="BankToLogoConverter.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="BankToLogoConverter" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Common.Converters
{
    using System;
    using System.Globalization;
    using System.Windows.Data;
    using System.Windows.Media;
    using System.Windows.Media.Imaging;

    using Hisaab.Common;

    /// <summary>
    /// Defines the <seealso cref="BankToLogoConverter"/> type.
    /// </summary>
    public class BankToLogoConverter : IValueConverter
    {
        /// <summary>
        /// Converts a value. 
        /// </summary>
        /// <returns>
        /// A converted value. If the method returns null, the valid null value is used.
        /// </returns>
        /// <param name="value">The value produced by the binding source.</param><param name="targetType">The type of the binding target property.</param><param name="parameter">The converter parameter to use.</param><param name="culture">The culture to use in the converter.</param>
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is Banks)
            {
                switch ((Banks)value)
                {
                    case Banks.NatWest:
                        return new BitmapImage(new Uri("pack://application:,,,/Hisaab.Client.Common;component/Resources/Images/24/Banks/natwest.png"));
                    case Banks.Hsbc:
                        return new BitmapImage(new Uri("pack://application:,,,/Hisaab.Client.Common;component/Resources/Images/24/Banks/hsbc.png"));
                    case Banks.Lloyds:
                        return new BitmapImage(new Uri("pack://application:,,,/Hisaab.Client.Common;component/Resources/Images/24/Banks/lloyds.png"));
                    case Banks.Barclays:
                        return new BitmapImage(new Uri("pack://application:,,,/Hisaab.Client.Common;component/Resources/Images/24/Banks/barclays.png"));
                    case Banks.Rbs:
                        return new BitmapImage(new Uri("pack://application:,,,/Hisaab.Client.Common;component/Resources/Images/24/Banks/rbs.png"));
                    default:
                        throw new ArgumentOutOfRangeException("value");
                }
            }

            return null;
        }

        /// <summary>
        /// Converts a value. 
        /// </summary>
        /// <returns>
        /// A converted value. If the method returns null, the valid null value is used.
        /// </returns>
        /// <param name="value">The value that is produced by the binding target.</param><param name="targetType">The type to convert to.</param><param name="parameter">The converter parameter to use.</param><param name="culture">The culture to use in the converter.</param>
        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
}
}
