// --------------------------------------------------------------------------------------------------------------------
// <copyright file="GlobalCommands.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="GlobalCommands" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Common
{
    using Microsoft.Practices.Prism.Commands;

    /// <summary>
    /// Defines the <seealso cref="GlobalCommands"/> type.
    /// </summary>
    public static class GlobalCommands
    {
        /// <summary>
        /// Static Member _save
        /// </summary>
        private static readonly CompositeCommand SaveCommand = new CompositeCommand();

        /// <summary>
        /// Static Member _refresh
        /// </summary>
        private static readonly CompositeCommand RefreshCommand = new CompositeCommand();

        /// <summary>
        /// Gets the save.
        /// </summary>
        /// <value>The save.</value>
        public static CompositeCommand Save
        {
            get
            {
                return SaveCommand;
            }
        }

        /// <summary>
        /// Gets the refresh.
        /// </summary>
        /// <value>The refresh.</value>
        public static CompositeCommand Refresh
        {
            get
            {
                return RefreshCommand;
            }
        }
    }
}