// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ISession.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="ISession" /> interface.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Common.Services
{
    using System.Windows;

    /// <summary>
    /// Defines the <seealso cref="ISession"/> interface.
    /// </summary>
    public interface ISession
    {
        /// <summary>
        /// Gets or sets the themes.
        /// </summary>
        /// <value>
        /// The themes.
        /// </value>
        Themes Theme { get; set; }

        /// <summary>
        /// Gets or sets the user.
        /// </summary>
        /// <value>
        /// The user.
        /// </value>
        int LoggedUser { get; set; }

        /// <summary>
        /// Gets the application.
        /// </summary>
        /// <value>
        /// The application.
        /// </value>
        Application Application { get; }

        /// <summary>
        /// Sets the currency.
        /// </summary>
        /// <param name="userCurrencyLocale">The user currency locale.</param>
        void SetCurrency(string userCurrencyLocale);
    }
}