﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ITranslationProvider.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the ITranslationProvider type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Common.Translation
{
    using System.Collections.Generic;
    using System.Globalization;

    /// <summary>
    ///  Defines the <seealso cref="ITranslationProvider"/> interface.
    /// </summary>
    public interface ITranslationProvider
    {
        /// <summary>
        /// Gets the available languages.
        /// </summary>
        /// <value>The available languages.</value>
        IEnumerable<CultureInfo> Languages { get; }

        /// <summary>
        /// Translates the specified key.
        /// </summary>
        /// <param name="key">The key.</param>
        /// <returns>Translated object</returns>
        object Translate(string key);
    }
}