﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Login.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for Login.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Desktop.View
{
    using System.Windows;

    using Hisaab.Client.Desktop.ViewModel;

    /// <summary>
    /// Interaction logic for Login.xaml
    /// </summary>
    public partial class Login : Window
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="Login"/> class.
        /// </summary>
        public Login()
            : this(new LoginViewModel())
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="Login"/> class.
        /// </summary>
        /// <param name="splashViewModel">The splash view model.</param>
        public Login(LoginViewModel splashViewModel)
        {
            InitializeComponent();
            DataContext = new LoginViewModel();
        }
    }
}