﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountHistoryData.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Hisaab.Windows.Client.ViewModel.AccountHistoryData" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Model
{
    using System.Collections.ObjectModel;
    using System.ComponentModel;

    /// <summary>
    /// Defines the <seealso cref="AccountHistoryData"/> type.
    /// </summary>
    public class AccountHistoryData : ObservableCollection<AccountMonthlyTotal>
    {
        /// <summary>
        /// Member variable _title
        /// </summary>
        private string _title;

        /// <summary>
        /// Gets or sets the title.
        /// </summary>
        /// <value>The title.</value>
        public string Title
        {
            get
            {
                return _title;
            }

            set
            {
                if (_title != value)
                {
                    _title = value;
                    OnPropertyChanged(new PropertyChangedEventArgs("Title"));
                }
            }
        }
    }
}