// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountMonthlyTotal.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Hisaab.Windows.Client.Model.AccountMonthlyTotal" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Model
{
    using System;

    /// <summary>
    /// Defines the <seealso cref="AccountMonthlyTotal"/> type.
    /// </summary>
    public class AccountMonthlyTotal : ModelBase
    {
        /// <summary>
        /// Member variable _month
        /// </summary>
        private DateTime _month;

        /// <summary>
        /// Member variable _monthlyTotal
        /// </summary>
        private decimal _monthlyTotal;

        /// <summary>
        /// Member variable _cumulativeTotal
        /// </summary>
        private decimal _cumulativeTotal;

        /// <summary>
        /// Gets or sets the month.
        /// </summary>
        /// <value>
        /// The month for total
        /// </value>
        public DateTime Month
        {
            get
            {
                return _month;
            }

            set
            {
                if (_month != value)
                {
                    _month = value;
                    RaisePropertyChangedEvent("Month");
                }
            }
        }

        /// <summary>
        /// Gets or sets the amount.
        /// </summary>
        /// <value>
        /// The amount total
        /// </value>
        public decimal MonthlyTotal
        {
            get
            {
                return _monthlyTotal;
            }

            set
            {
                if (_monthlyTotal != value)
                {
                    _monthlyTotal = value;
                    RaisePropertyChangedEvent("MonthlyTotal");
                }
            }
        }

        /// <summary>
        /// Gets or sets the cumulative total.
        /// </summary>
        /// <value>
        /// The cumulative total.
        /// </value>
        public decimal CumulativeTotal
        {
            get
            {
                return _cumulativeTotal;
            }

            set
            {
                if (_cumulativeTotal != value)
                {
                    _cumulativeTotal = value;
                    RaisePropertyChangedEvent("CumulativeTotal");
                }
            }
        }
    }
}