﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountType.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the AccountType type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Model
{
    /// <summary>
    /// Defines the <seealso cref="AccountType"/> class.
    /// </summary>
    public class AccountType : ModelBase
    {
        /// <summary>
        /// Member variable _id
        /// </summary>
        private int _id;

        /// <summary>
        /// Member variable _name
        /// </summary>
        private string _name;

        /// <summary>
        /// Gets or sets the id.
        /// </summary>
        /// <value>
        /// The account type id.
        /// </value>
        public int Id
        {
            get
            {
                return _id;
            }

            set
            {
                if (_id != value)
                {
                    _id = value;
                    RaisePropertyChangedEvent("Id");
                }
            }
        }

        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>
        /// The account type name.
        /// </value>
        public string Name
        {
            get
            {
                return _name;
            }

            set
            {
                if (_name != value)
                {
                    _name = value;
                    RaisePropertyChangedEvent("Name");
                }
            }
        }
    }
}