﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ImportTransaction.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the Import Transaction type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Model
{
    using System;
    using System.Collections.Generic;

    /// <summary>
    /// Defines the <seealso cref="Transaction"/> type.
    /// </summary>
    public class ImportTransaction : Transaction
    {
        /// <summary>
        /// Backing field for Selected
        /// </summary>
        private bool _selected;

        /// <summary>
        /// Gets or sets a value indicating whether this <see cref="ImportTransaction"/> is selected.
        /// </summary>
        /// <value>
        ///   <c>true</c> if selected; otherwise, <c>false</c>.
        /// </value>
        public bool Selected
        {
            get
            {
                return _selected;
            }

            set
            {
                if (_selected != value)
                {
                    RaisePropertyChangingEvent("Selected");
                    _selected = value;
                    RaisePropertyChangedEvent("Selected");
                }
            }
        }
    }
}