﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="RecurringFrequencyTypes.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the RecurringFrequencyTypes type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Model
{
    using System.ComponentModel;

    /// <summary>
    /// Defines Recurring Requency Types
    /// </summary>
    public enum RecurringFrequencyTypes
    {
        /// <summary>
        /// Recurring frequency once
        /// </summary>
        [Description("Once")]
        Once,

        /// <summary>
        /// Recurring frequency weekly
        /// </summary>
        [Description("Weekly")]
        Weekly,

        /// <summary>
        /// Recurring frequency biweekly
        /// </summary>
        [Description("BiWeekly")]
        BiWeekly,

        /// <summary>
        /// Recurring frequency fortnightly
        /// </summary>
        [Description("Fortnightly")]
        Fortnightly,

        /// <summary>
        /// Recurring frequency monthly
        /// </summary>
        [Description("Monthly")]
        Monthly,

        /// <summary>
        /// Recurring frequency yearly
        /// </summary>
        [Description("Yearly")]
        Yearly
    }
}