﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Vehicle.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the  type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Model
{
    /// <summary>
    /// Defines the <seealso cref="Vehicle"/> type.
    /// </summary>
    public class Vehicle : ModelBase
    {
        /// <summary>
        /// Member variable _id
        /// </summary>
        private int _id;

        /// <summary>
        /// Member variable _name
        /// </summary>
        private string _name;

        /// <summary>
        /// Member variable _userId
        /// </summary>
        private int _userId;

        /// <summary>
        /// Gets or sets the id.
        /// </summary>
        /// <value>
        /// The id of vechicle
        /// </value>
        public int Id
        {
            get
            {
                return _id;
            }

            set
            {
                if (_id != value)
                {
                    _id = value;
                    RaisePropertyChangedEvent("Id");
                }
            }
        }

        /// <summary>
        /// Gets or sets the title.
        /// </summary>
        /// <value>
        /// The title.
        /// </value>
        public string Name
        {
            get
            {
                return _name;
            }

            set
            {
                if (_name != value)
                {
                    _name = value;
                    RaisePropertyChangedEvent("Name");
                }
            }
        }

        /// <summary>
        /// Gets or sets the user id.
        /// </summary>
        /// <value>
        /// The user id.
        /// </value>
        public int UserId
        {
            get
            {
                return _userId;
            }

            set
            {
                if (_userId != value)
                {
                    _userId = value;
                    RaisePropertyChangedEvent("UserId");
                }
            }
        }
    }
}