﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountGlobalCommands.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="AccountGlobalCommands" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Account
{
    using Microsoft.Practices.Prism.Commands;

    /// <summary>
    /// Defines the <seealso cref="AccountGlobalCommands"/> type.
    /// </summary>
    public static class AccountGlobalCommands
    {
        /// <summary>
        /// Member variable AddAccount
        /// </summary>
        private static readonly CompositeCommand AddAccountCommand = new CompositeCommand();

        /// <summary>
        /// Member variable EditAccount
        /// </summary>
        private static readonly CompositeCommand EditAccountCommand = new CompositeCommand();

        /// <summary>
        /// Member variable DeleteAccount
        /// </summary>
        private static readonly CompositeCommand DeleteAccountCommand = new CompositeCommand();

        /// <summary>
        /// Member variable CloseAccount
        /// </summary>
        private static readonly CompositeCommand CloseAccountCommand = new CompositeCommand();

        /// <summary>
        /// Gets the add account.
        /// </summary>
        /// <value>The add account.</value>
        public static CompositeCommand AddAccount
        {
            get
            {
                return AddAccountCommand;
            }
        }

        /// <summary>
        /// Gets the edit account.
        /// </summary>
        /// <value>The edit account.</value>
        public static CompositeCommand EditAccount
        {
            get
            {
                return EditAccountCommand;
            }
        }

        /// <summary>
        /// Gets the delete account.
        /// </summary>
        /// <value>The delete account.</value>
        public static CompositeCommand DeleteAccount
        {
            get
            {
                return DeleteAccountCommand;
            }
        }

        /// <summary>
        /// Gets the close account.
        /// </summary>
        /// <value>The close account.</value>
        public static CompositeCommand CloseAccount
        {
            get
            {
                return CloseAccountCommand;
            }
        }
    }
}