﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountViewButtonViewModel.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="AccountViewButtonViewModel" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Account.ViewModel
{
    using System.Windows.Input;
    using Hisaab.Client.Common.BaseClasses;
    using Hisaab.Client.Modules.Core.Account.Commands;

    /// <summary>
    /// Defines the <seealso cref="AccountViewButtonViewModel"/> type.
    /// </summary>
    public class AccountViewButtonViewModel : ViewModelBase
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="AccountViewButtonViewModel"/> class.
        /// </summary>
        public AccountViewButtonViewModel()
        {
            ShowAccounts = new ViewAccountsCommand(this);
        }

        /// <summary>
        /// Gets or sets command for Loads the view for Module A.
        /// </summary>
        /// <value>
        /// The show dashboard.
        /// </value>
        public ICommand ShowAccounts { get; set; }
    }
}