﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AddAccountButtonViewModel.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="AddAccountButtonViewModel" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Account.ViewModel
{
    using System.Windows.Input;
    using Commands;
    using Common.BaseClasses;

    /// <summary>
    /// Defines the <seealso cref="AddAccountButtonViewModel"/> type.
    /// </summary>
    public class AddAccountButtonViewModel : ViewModelBase
    {
        /// <summary>
        /// Member variable _addAccountCommand
        /// </summary>
        private ICommand _addAccountCommand;

        /// <summary>
        /// Gets the add account.
        /// </summary>
        /// <value>
        /// The add account.
        /// </value>
        public ICommand AddAccount
        {
            get
            {
                if (_addAccountCommand == null)
                {
                    _addAccountCommand = new AddAccountCommand();
                }

                return _addAccountCommand;
            }
        }
    }
}