﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="DashboardView.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for DashboardView.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Dashboard.View
{
    using System.Windows.Controls;

    using Hisaab.Client.Modules.Core.Dashboard.ViewModel;

    using Microsoft.Practices.Prism.Regions;

    /// <summary>
    /// Interaction logic for DashboardView.xaml
    /// </summary>
    public partial class DashboardView : IRegionMemberLifetime
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="DashboardView"/> class.
        /// </summary>
        public DashboardView()
        {
            InitializeComponent();
            DataContext = new DashboardViewModel();
        }

        #region Implementation of IRegionMemberLifetime

        /// <summary>
        /// Gets a value indicating whether [keep alive].
        /// </summary>
        /// <value>
        ///   <c>true</c> if [keep alive]; otherwise, <c>false</c>.
        /// </value>
        public bool KeepAlive
        {
            get
            {
                return false;
            }
        }

        #endregion Implementation of IRegionMemberLifetime
    }
}