﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TagGlobalCommands.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="TagGlobalCommands" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Tag
{
    using Microsoft.Practices.Prism.Commands;

    /// <summary>
    ///  Defines the <seealso cref="TagGlobalCommands"/> type.
    /// </summary>
    public static class TagGlobalCommands
    {
        /// <summary>
        /// Member variable AddTag
        /// </summary>
        private static readonly CompositeCommand AddTagCommand = new CompositeCommand();

        /// <summary>
        /// Member variable EditTarget
        /// </summary>
        private static readonly CompositeCommand EditTagCommand = new CompositeCommand();

        /// <summary>
        /// Member variable DeleteTarget
        /// </summary>
        private static readonly CompositeCommand DeleteTagCommand = new CompositeCommand();

        /// <summary>
        /// Member variable CloseTag
        /// </summary>
        private static readonly CompositeCommand CloseTagCommand = new CompositeCommand();

        /// <summary>
        /// Member variable RefreshTag
        /// </summary>
        private static readonly CompositeCommand RefreshTagCommand = new CompositeCommand();

        /// <summary>
        /// Gets the add tag.
        /// </summary>
        /// <value>The add tag.</value>
        public static CompositeCommand AddTag
        {
            get
            {
                return AddTagCommand;
            }
        }

        /// <summary>
        /// Gets the edit tag.
        /// </summary>
        /// <value>The edit tag.</value>
        public static CompositeCommand EditTag
        {
            get
            {
                return EditTagCommand;
            }
        }

        /// <summary>
        /// Gets the delete tag.
        /// </summary>
        /// <value>The delete tag.</value>
        public static CompositeCommand DeleteTag
        {
            get
            {
                return DeleteTagCommand;
            }
        }

        /// <summary>
        /// Gets the close tag.
        /// </summary>
        /// <value>The close tag.</value>
        public static CompositeCommand CloseTag
        {
            get
            {
                return CloseTagCommand;
            }
        }

        /// <summary>
        /// Gets the refresh tag.
        /// </summary>
        /// <value>The refresh tag.</value>
        public static CompositeCommand RefreshTag
        {
            get
            {
                return RefreshTagCommand;
            }
        }
    }
}