﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TagAddButtonViewModel.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="TagAddButtonViewModel" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Tag.ViewModel
{
    using System.Windows.Input;

    using Hisaab.Client.Common.BaseClasses;
    using Hisaab.Client.Modules.Core.Tag.Commands;

    /// <summary>
    /// Defines the <seealso cref="TagAddButtonViewModel"/> type.
    /// </summary>
    public class TagAddButtonViewModel : ViewModelBase
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TagAddButtonViewModel"/> class.
        /// </summary>
        public TagAddButtonViewModel()
        {
            AddTag = new AddTagCommand();
        }

        /// <summary>
        /// Gets or sets the add tag.
        /// </summary>
        /// <value>
        /// The add tag.
        /// </value>
        public ICommand AddTag { get; set; }
    }
}