﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TagViewButtonViewModel.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="TagViewButtonViewModel" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Tag.ViewModel
{
    using System.Windows.Input;

    using Hisaab.Client.Common.BaseClasses;
    using Hisaab.Client.Modules.Core.Tag.Commands;

    /// <summary>
    /// Defines the <seealso cref="TagViewButtonViewModel"/> type.
    /// </summary>
    public class TagViewButtonViewModel : ViewModelBase
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TagViewButtonViewModel"/> class.
        /// </summary>
        public TagViewButtonViewModel()
        {
            ViewTags = new ViewTagsCommand(this);
        }

        /// <summary>
        /// Gets or sets the add tag.
        /// </summary>
        /// <value>
        /// The add tag.
        /// </value>
        public ICommand ViewTags { get; set; }
    }
}