﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TargetGlobalCommands.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="TargetGlobalCommands" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Target
{
    using Microsoft.Practices.Prism.Commands;

    /// <summary>
    ///  Defines the <seealso cref="TargetGlobalCommands"/> type.
    /// </summary>
    public static class TargetGlobalCommands
    {
        /// <summary>
        /// Member variable AddTarget
        /// </summary>
        private static readonly CompositeCommand AddTargetCommand = new CompositeCommand();

        /// <summary>
        /// Member variable EditTarget
        /// </summary>
        private static readonly CompositeCommand EditTargetCommand = new CompositeCommand();

        /// <summary>
        /// Member variable DeleteTarget
        /// </summary>
        private static readonly CompositeCommand DeleteTargetCommand = new CompositeCommand();

        /// <summary>
        /// Member variable CloseTarget
        /// </summary>
        private static readonly CompositeCommand CloseTargetCommand = new CompositeCommand();

        /// <summary>
        /// Member variable RefreshTarget
        /// </summary>
        private static readonly CompositeCommand RefreshTargetCommand = new CompositeCommand();

        /// <summary>
        /// Gets the add target.
        /// </summary>
        /// <value>The add target.</value>
        public static CompositeCommand AddTarget
        {
            get
            {
                return AddTargetCommand;
            }
        }

        /// <summary>
        /// Gets the edit target.
        /// </summary>
        /// <value>The edit target.</value>
        public static CompositeCommand EditTarget
        {
            get
            {
                return EditTargetCommand;
            }
        }

        /// <summary>
        /// Gets the delete target.
        /// </summary>
        /// <value>The delete target.</value>
        public static CompositeCommand DeleteTarget
        {
            get
            {
                return DeleteTargetCommand;
            }
        }

        /// <summary>
        /// Gets the close target.
        /// </summary>
        /// <value>The close target.</value>
        public static CompositeCommand CloseTarget
        {
            get
            {
                return CloseTargetCommand;
            }
        }

        /// <summary>
        /// Gets the refresh target.
        /// </summary>
        /// <value>The refresh target.</value>
        public static CompositeCommand RefreshTarget
        {
            get
            {
                return RefreshTargetCommand;
            }
        }
    }
}