﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TargetModule.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="TargetModule" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Target
{
    using Common;
    using Microsoft.Practices.Prism.Modularity;
    using Microsoft.Practices.Prism.Regions;
    using Microsoft.Practices.ServiceLocation;
    using Microsoft.Practices.Unity;
    using View;

    /// <summary>
    /// Defines the <seealso cref="TargetModule"/> type.
    /// </summary>
    public class TargetModule : IModule
    {
        /// <summary>
        /// Member variable Targets
        /// </summary>
        public const string TagetView = "Target";

        /// <summary>
        /// Member variable TargetEditor
        /// </summary>
        public const string TargetEditor = "TargetEditor";

        /// <summary>
        /// Member variable TargetsName
        /// </summary>
        public const string TargetsName = "Targets";

        /// <summary>
        /// Member variable TargetsTabName
        /// </summary>
        public const string TargetsTabName = "TargetsTab";

        /// <summary>
        /// Member variable ModuleName
        /// </summary>
        public const string ModuleName = "TargetModule";

        /// <summary>
        /// Initializes this instance.
        /// </summary>
        public void Initialize()
        {
            var regionManager = ServiceLocator.Current.GetInstance<IRegionManager>();
            regionManager.RegisterViewWithRegion(Regions.HomeAddMediumGroup, typeof(TargetAddButton));
            regionManager.RegisterViewWithRegion(Regions.HomeListGroup, typeof(TargetViewButton));
            regionManager.RegisterViewWithRegion(Regions.NavigationRegion, typeof(TargetNavigation));
            regionManager.RegisterViewWithRegion(Regions.RibbonRegion, typeof(TargetsTab));

            var container = ServiceLocator.Current.GetInstance<IUnityContainer>();
            container.RegisterType<object, TargetEditor>(TargetEditor);
            container.RegisterType<object, Targets>(TargetsName);
            container.RegisterType<object, TargetsTab>(TargetsTabName);
            container.RegisterType<object, TargetView>(TagetView);
        }
    }
}