﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TargetAddButtonViewModel.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="TargetAddButtonViewModel" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Target.ViewModel
{
    using System.Windows.Input;

    using Hisaab.Client.Common.BaseClasses;
    using Hisaab.Client.Modules.Core.Target.Commands;

    /// <summary>
    /// Defines the <seealso cref="TargetAddButtonViewModel"/> type.
    /// </summary>
    public class TargetAddButtonViewModel : ViewModelBase
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TargetAddButtonViewModel"/> class.
        /// </summary>
        public TargetAddButtonViewModel()
        {
            AddTarget = new AddTargetCommand();
        }

        /// <summary>
        /// Gets or sets the add Target.
        /// </summary>
        /// <value>
        /// The add Target.
        /// </value>
        public ICommand AddTarget { get; set; }
    }
}