﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountMonthlyTotal.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the  type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Data.Entities
{
    /// <summary>
    /// Defines the <seealso cref="Hisaab.Data.Entities.AccountMonthlyTotal"/> type.
    /// </summary>
    public class AccountMonthlyTotal
    {
        /// <summary>
        /// Gets or sets the year.
        /// </summary>
        /// <value>
        /// The year for total
        /// </value>
        public int Year { get; set; }

        /// <summary>
        /// Gets or sets the month.
        /// </summary>
        /// <value>
        /// The month for total
        /// </value>
        public int Month { get; set; }

        /// <summary>
        /// Gets or sets the amount.
        /// </summary>
        /// <value>
        /// The amount total
        /// </value>
        public decimal MonthlyTotal { get; set; }

        /// <summary>
        /// Gets or sets the cumulative total.
        /// </summary>
        /// <value>
        /// The cumulative total.
        /// </value>
        public decimal CumulativeTotal { get; set; }
    }
}