﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ITagRepository.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Hisaab.Data.Interfaces.ITagRepository" /> interface.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Data.Interfaces
{
    using System.Collections.Generic;
    using Entities;

    /// <summary>
    /// Defines the <seealso cref="Hisaab.Data.Interfaces.ITagRepository"/> interface.
    /// </summary>
    public interface ITagRepository : IBaseRepository<Tag>
    {
        /// <summary>
        /// Gets the tags for transaction.
        /// </summary>
        /// <param name="transactionId">The transaction id.</param>
        /// <returns>List of tags associated with given transaction id</returns>
        IEnumerable<Tag> GetTagsForTransaction(int transactionId);
    }
}