﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Configuration.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Hisaab.Common.Configuration" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Common
{
    using System.Collections.Specialized;
    using System.Configuration;

    /// <summary>
    /// Defines the <seealso cref="Hisaab.Common.Configuration"/> type.
    /// </summary>
    public class Configuration : IConfiguration
    {
        /// <summary>
        /// Gets the app settings.
        /// </summary>
        public NameValueCollection AppSettings
        {
            get { return ConfigurationManager.AppSettings; }
        }

        /// <summary>
        /// Gets the connection strings.
        /// </summary>
        public ConnectionStringSettingsCollection ConnectionStrings
        {
            get { return ConfigurationManager.ConnectionStrings; }
        }
    }
}