// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IConfiguration.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the IConfiguration type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Common
{
    using System.Collections.Specialized;
    using System.Configuration;

    /// <summary>
    /// Defines the <seealso cref="Hisaab.Common.IConfiguration"/> interface.
    /// </summary>
    public interface IConfiguration
    {
        /// <summary>
        /// Gets the app settings.
        /// </summary>
        NameValueCollection AppSettings { get; }

        /// <summary>
        /// Gets the connection strings.
        /// </summary>
        ConnectionStringSettingsCollection ConnectionStrings { get; }
    }
}