﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountMonthlyTotal.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Hisaab.Data.Entities.AccountMonthlyTotal" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Services.Entities
{
    using System;
    using System.Runtime.Serialization;

    /// <summary>
    /// Defines the <seealso cref="AccountMonthlyTotal"/> type.
    /// </summary>
    [DataContract]
    public class AccountMonthlyTotal
    {
        /// <summary>
        /// Gets or sets the month.
        /// </summary>
        /// <value>
        /// The month for total
        /// </value>
        [DataMember]
        public DateTime Month { get; set; }

        /// <summary>
        /// Gets or sets the amount.
        /// </summary>
        /// <value>
        /// The amount total
        /// </value>
        [DataMember]
        public decimal MonthlyTotal { get; set; }

        /// <summary>
        /// Gets or sets the cumulative total.
        /// </summary>
        /// <value>
        /// The cumulative total.
        /// </value>
        [DataMember]
        public decimal CumulativeTotal { get; set; }
    }
}