﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="KeyValue.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Hisaab.Common.KeyValue&lt;TKey, TValue&gt;" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Services.Entities
{
    using System.Runtime.Serialization;

    /// <summary>
    /// Defines the <seealso cref="KeyValue{TKey,TValue}"/> type.
    /// </summary>
    /// <typeparam name="TKey">The type of the key.</typeparam>
    /// <typeparam name="TValue">The type of the value.</typeparam>
    [DataContract]
    public class KeyValue<TKey, TValue>
    {
        /// <summary>
        /// Gets or sets the key.
        /// </summary>
        /// <value>
        /// The key of instance
        /// </value>
        [DataMember]
        public TKey Key { get; set; }

        /// <summary>
        /// Gets or sets the value.
        /// </summary>
        /// <value>
        /// The value of instance
        /// </value>
        [DataMember]
        public TValue Value { get; set; }
    }
}