﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="VehicleTransaction.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the  type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Services.Entities
{
    using System;
    using System.Runtime.Serialization;

    /// <summary>
    /// Defines the <seealso cref="VehicleTransaction"/> type.
    /// </summary>
    [DataContract]
    public class VehicleTransaction
    {
        /// <summary>
        /// Gets or sets the id.
        /// </summary>
        /// <value>
        /// The id of transaction.
        /// </value>
        [DataMember]
        public int Id { get; set; }

        /// <summary>
        /// Gets or sets the milage.
        /// </summary>
        /// <value>
        /// The milage.
        /// </value>
        [DataMember]
        public int Milage { get; set; }

        /// <summary>
        /// Gets or sets the notes.
        /// </summary>
        /// <value>
        /// The notes.
        /// </value>
        [DataMember]
        public string Notes { get; set; }

        /// <summary>
        /// Gets or sets the fill.
        /// </summary>
        /// <value>
        /// The quantity of fuel filled in.
        /// </value>
        [DataMember]
        public decimal? Fill { get; set; }

        /// <summary>
        /// Gets or sets the oil.
        /// </summary>
        /// <value>
        /// The price of oil fill.
        /// </value>
        [DataMember]
        public decimal? Oil { get; set; }

        /// <summary>
        /// Gets or sets the service.
        /// </summary>
        /// <value>
        /// The service price
        /// </value>
        [DataMember]
        public decimal? Service { get; set; }

        /// <summary>
        /// Gets or sets the transaction id.
        /// </summary>
        /// <value>
        /// The transaction id.
        /// </value>
        [DataMember]
        public int TransactionId { get; set; }

        /// <summary>
        /// Gets or sets the tires.
        /// </summary>
        /// <value>
        /// The tires price
        /// </value>
        [DataMember]
        public decimal? Tires { get; set; }

        /// <summary>
        /// Gets or sets the vehicle id.
        /// </summary>
        /// <value>
        /// The vehicle id.
        /// </value>
        [DataMember]
        public int VehicleId { get; set; }

        /// <summary>
        /// Gets or sets the fuel.
        /// </summary>
        /// <value>
        /// The fuel price
        /// </value>
        [DataMember]
        public decimal? Fuel { get; set; }

        /// <summary>
        /// Gets or sets the account.
        /// </summary>
        /// <value>
        /// The account.
        /// </value>
        [DataMember]
        public int Account { get; set; }

        /// <summary>
        /// Gets or sets the date.
        /// </summary>
        /// <value>The date of transaction</value>
        [DataMember]
        public DateTime Date { get; set; }
    }
}