﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IUserService.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the IUserRepository type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Services.Interfaces
{
    using System.ServiceModel;

    using Hisaab.Services.Entities;

    /// <summary>
    /// Defines the <seealso cref="IUserService"/> interface.
    /// </summary>
    [ServiceContract]
    public interface IUserService : IServiceBase<User>
    {
        /// <summary>
        /// Validates the useer.
        /// </summary>
        /// <param name="username">The username.</param>
        /// <param name="password">The password.</param>
        /// <returns>Id of user if authentication successful, -1 if authentication fails</returns>
        [OperationContract]
        int ValidateUser(string username, string password);
    }
}