﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IVehicleService.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the IVehicleService type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Services.Interfaces
{
    using System.ServiceModel;

    using Hisaab.Services.Entities;

    /// <summary>
    /// Defines the <seealso cref="IVehicleService"/> interface.
    /// </summary>
    [ServiceContract]
    public interface IVehicleService : IServiceBase<Vehicle>
    {
        /// <summary>
        /// Gets the by id.
        /// </summary>
        /// <param name="id">The vehicle id.</param>
        /// <returns>Vehicle matching the id</returns>
        [OperationContract]
        Vehicle GetById(int id);
    }
}