﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IVehicleTransactionService.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the IVehicleTagRepository type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Services.Interfaces
{
    using System.ServiceModel;

    using Hisaab.Services.Entities;

    /// <summary>
    /// Defines the <seealso cref="IVehicleTransactionService"/> interface.
    /// </summary>
    [ServiceContract]
    public interface IVehicleTransactionService : IServiceBase<VehicleTransaction>
    {
        /// <summary>
        /// Gets the by id.
        /// </summary>
        /// <param name="id">The vehicle transaction id.</param>
        /// <returns>Vehicle transaction matching id</returns>
        [OperationContract]
        VehicleTransaction GetById(int id);
    }
}