﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountService.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="AccountService" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Services
{
    using System;
    using System.Collections.Generic;
    using Hisaab.Services.Entities;
    using Hisaab.Services.Interfaces;

    /// <summary>
    /// Defines the <seealso cref="AccountService"/> type.
    /// </summary>
    public class AccountService : IAccountService
    {
        /// <summary>
        /// Gets the filtered.
        /// </summary>
        /// <param name="filter">The filter.</param>
        /// <param name="pageNo">The page no.</param>
        /// <param name="pageSize">Size of the page.</param>
        /// <returns>List of filtered items</returns>
        public IEnumerable<Account> List(Account filter, int? pageNo, int? pageSize)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Adds the specified entity.
        /// </summary>
        /// <param name="entity">The entity.</param>
        /// <returns>The id of entity being added.</returns>
        public int Add(Account entity)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Updates the specified entity.
        /// </summary>
        /// <param name="entity">The entity.</param>
        public void Update(Account entity)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Deletes the specified entity.
        /// </summary>
        /// <param name="entity">The entity.</param>
        public void Delete(Account entity)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets the by userId.
        /// </summary>
        /// <param name="id">The account userId.</param>
        /// <returns>Account matching account userId</returns>
        public Account GetById(int id)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets the name of the by.
        /// </summary>
        /// <param name="name">The name of account to get</param>
        /// <returns>Account matching name</returns>
        public Account GetByName(string name)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets the account summary.
        /// </summary>
        /// <param name="id">The account userId</param>
        /// <param name="userId">The caller user userId</param>
        /// <returns>Account summary object</returns>
        public AccountSummary GetAccountSummary(int id, int userId)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets the account balance.
        /// </summary>
        /// <param name="id">The userId of account to get balance for</param>
        /// <returns>Closing balance of account</returns>
        public decimal GetAccountBalance(int id)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets the monthly balance summary.
        /// </summary>
        /// <param name="accountId">The account userId.</param>
        /// <param name="userId">The calling user id</param>
        /// <returns>
        /// List of month and balance
        /// </returns>
        public IEnumerable<AccountMonthlyTotal> GetMonthlyBalanceSummary(int accountId, int userId)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets the account totals.
        /// </summary>
        /// <param name="userId">The calling user id</param>
        /// <returns>List of account totals and summary</returns>
        public IEnumerable<KeyValue<Account, decimal>> GetAccountTotals(int userId)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets all account balance.
        /// </summary>
        /// <param name="userId">The calling user id</param>
        /// <returns>Return list of accounts and all of their monthly totals</returns>
        public IEnumerable<KeyValue<Account, IEnumerable<AccountMonthlyTotal>>> GetAllAccountBalance(int userId)
        {
            throw new NotImplementedException();
        }
    }
}