﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TypeService.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="TypeService" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Services
{
    using System;
    using System.Collections.Generic;
    using Hisaab.Services.Entities;
    using Hisaab.Services.Interfaces;

    /// <summary>
    /// Defines the <seealso cref="TypeService"/> type.
    /// </summary>
    public class TypeService : ITypeService
    {
        /// <summary>
        /// Lists the account types.
        /// </summary>
        /// <param name="query">The query.</param>
        /// <param name="pageNo">Page number to fetch</param>
        /// <param name="pageSize">Page size to fetch</param>
        /// <returns>List of account types matching query</returns>
        public IEnumerable<AccountType> ListAccountTypes(AccountType query, int? pageNo, int? pageSize)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets the account type by id.
        /// </summary>
        /// <param name="id">The account type id.</param>
        /// <returns>Account type matching id</returns>
        public AccountType GetAccountTypeById(int id)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets the name of the account type by.
        /// </summary>
        /// <param name="name">The name of account type</param>
        /// <returns>Account type matching id</returns>
        public AccountType GetAccountTypeByName(string name)
        {
            throw new NotImplementedException();
        }
    }
}