﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IMainWindow.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the IMainWindow type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Client
{
    using AvalonDock;
    using RibbonWrapper;

    /// <summary>
    /// Defines the <seealso cref="IMainWindow"/> interface.
    /// </summary>
    public interface IMainWindow
    {
        /// <summary>
        /// Gets or sets the data context.
        /// </summary>
        /// <value>The data context.</value>
        object DataContext { get; set; }

        /// <summary>
        /// Gets the ribbon control.
        /// </summary>
        IRibbon RibbonControl { get; }

        /// <summary>
        /// Gets the master document container.
        /// </summary>
        DockingManager MasterDocumentContainer { get; }

        /// <summary>
        /// Shows this instance.
        /// </summary>
        void Show();
    }
}