﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Account.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the Account type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Client.Model
{
    using System;

    /// <summary>
    /// Defines the <seealso cref="Account"/>  type.
    /// </summary>
    public class Account
    {
        /// <summary>
        /// Gets or sets the account id.
        /// </summary>
        /// <value>
        /// The account id.
        /// </value>
        public int AccountId { get; set; }

        /// <summary>
        /// Gets or sets the name
        /// </summary>
        /// <value>
        /// The title.
        /// </value>
        public string Name { get; set; }

        /// <summary>
        /// Gets or sets the type of the account.
        /// </summary>
        /// <value>
        /// The type of the account.
        /// </value>
        public int AccountType { get; set; }

        /// <summary>
        /// Gets or sets the initial balance date.
        /// </summary>
        /// <value>
        /// The initial balance date.
        /// </value>
        public DateTime InitialBalanceDate { get; set; }

        /// <summary>
        /// Gets or sets the initial balance.
        /// </summary>
        /// <value>
        /// The initial balance.
        /// </value>
        public decimal InitialBalance { get; set; }

        /// <summary>
        /// Gets or sets the user id.
        /// </summary>
        /// <value>
        /// The user id.
        /// </value>
        public int UserId { get; set; }
    }
}