﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountSummary.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the AccountSummary type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Client.Model
{
    using System.Collections.Generic;

    /// <summary>
    /// Defines the <seealso cref="AccountSummary"/> type.
    /// </summary>
    public class AccountSummary
    {
        /// <summary>
        /// Gets or sets the transaction count.
        /// </summary>
        /// <value>
        /// The transaction count.
        /// </value>
        public int TransactionCount { get; set; }

        /// <summary>
        /// Gets or sets the ending balance.
        /// </summary>
        /// <value>
        /// The ending balance.
        /// </value>
        public decimal EndingBalance { get; set; }

        /// <summary>
        /// Gets or sets the chart data.
        /// </summary>
        /// <value>
        /// The chart data.
        /// </value>
        public KeyValuePair<string, decimal>[] ChartData { get; set; }
    }
}