// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ConnectionString.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Hisaab.Windows.Client.Model.ConnectionString" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Client.Model
{
    /// <summary>
    /// Defines the <seealso cref="Hisaab.Windows.Client.Model.ConnectionString"/> type.
    /// </summary>
    public class ConnectionString
    {
        /// <summary>
        /// Gets or sets the server.
        /// </summary>
        /// <value>
        /// The database server.
        /// </value>
        public string Server { get; set; }

        /// <summary>
        /// Gets or sets the database.
        /// </summary>
        /// <value>
        /// The database.
        /// </value>
        public string Database { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether [use integrated authentication].
        /// </summary>
        /// <value>
        /// <c>true</c> if [use integrated authentication]; otherwise, <c>false</c>.
        /// </value>
        public bool UseIntegratedAuthentication { get; set; }

        /// <summary>
        /// Gets or sets the name of the user.
        /// </summary>
        /// <value>
        /// The name of the user.
        /// </value>
        public string UserName { get; set; }

        /// <summary>
        /// Gets or sets the password.
        /// </summary>
        /// <value>
        /// The password.
        /// </value>
        public string Password { get; set; }
    }
}