﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountsView.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for AccountsView.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Client.View
{
    using Common;

    /// <summary>
    /// Interaction logic for Accounts.xaml
    /// </summary>
    public partial class AccountsView : IViewBase
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="AccountsView"/> class.
        /// </summary>
        public AccountsView()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Gets or sets the ribbon contextual tab group.
        /// </summary>
        /// <value>
        /// The ribbon contextual tab group.
        /// </value>
        public string ContextualTabGroupName { get; set; }

        /// <summary>
        /// Gets the active awareness.
        /// </summary>
        public IActiveAware ActiveAwareness
        {
            get { return new FocusActiveAwareAdapter(this); }
        }
    }
}