﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="RibbonMainWindow.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for RibbonMainWindow.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Client
{
    using AvalonDock;
    using Microsoft.Windows.Controls.Ribbon;
    using RibbonWrapper;

    /// <summary>
    /// Defines the <seealso cref="RibbonMainWindow"/> type.
    /// </summary>
    public partial class RibbonMainWindow : IMainWindow
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="RibbonMainWindow"/> class.
        /// </summary>
        public RibbonMainWindow()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Gets the master document container.
        /// </summary>
        public DockingManager MasterDocumentContainer
        {
            get
            {
                return dockManager;
            }
        }

        /// <summary>
        /// Gets the ribbon control.
        /// </summary>
        public IRibbon RibbonControl
        {
            get { return RibbonFactory.CreateRibbon(mainRibbon); }
        }
    }
}