﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ViewBase.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Hisaab.Client.View.ViewBase" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Client.View
{
    using System.Windows.Controls;
    using Hisaab.Windows.Common;

    /// <summary>
    /// Defines the <seealso cref="ViewBase"/> type.
    /// </summary>
    public class ViewBase : UserControl, IViewBase
    {
        /// <summary>
        /// Gets the active awareness.
        /// </summary>
        public IActiveAware ActiveAwareness
        {
            get { return new FocusActiveAwareAdapter(this); }
        }
    }
}