﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TagSummaryViewModel.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the TagSummaryViewModel type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Client.ViewModel
{
    using Model;

    /// <summary>
    /// Defines the <seealso cref="TagSummaryViewModel"/> type.
    /// </summary>
    public class TagSummaryViewModel
    {
        /// <summary>
        /// Tags view model
        /// </summary>
        private readonly TagsViewModel _tagsViewModel;

        /// <summary>
        /// Initializes a new instance of the <see cref="TagSummaryViewModel"/> class.
        /// </summary>
        /// <param name="tagsViewModel">The tags view model.</param>
        public TagSummaryViewModel(TagsViewModel tagsViewModel)
        {
            _tagsViewModel = tagsViewModel;
        }

        /// <summary>
        /// Gets or sets the name of the tag.
        /// </summary>
        /// <value>
        /// The name of the tag.
        /// </value>
        public Tag Tag
        {
            get { return _tagsViewModel.SelectedTag; }
            set { _tagsViewModel.SelectedTag = value; }
        }
    }
}