﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TransactionViewModel.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the TransactionViewModel type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Client.ViewModel
{
    using Model;

    /// <summary>
    /// Defines the <seealso cref="Hisaab.Windows.Client.ViewModel.TransactionViewModel"/> type.
    /// </summary>
    public class TransactionViewModel : ViewModelBase
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TransactionViewModel"/> class.
        /// </summary>
        /// <param name="transaction">The transaction.</param>
        public TransactionViewModel(Transaction transaction)
        {
            Transaction = transaction;
        }

        /// <summary>
        /// Gets or sets the transaction.
        /// </summary>
        /// <value>
        /// The transaction.
        /// </value>
        public Transaction Transaction { get; set; }
    }
}