﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="VehicleTransactionViewModel.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the VehicleTransactionViewModel type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Client.ViewModel
{
    using Model;

    /// <summary>
    /// Defines the <seealso cref="Hisaab.Windows.Client.ViewModel.VehicleTransactionViewModel"/> type.
    /// </summary>
    public class VehicleTransactionViewModel : ViewModelBase
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="VehicleTransactionViewModel"/> class.
        /// </summary>
        /// <param name="vehicleTransaction">The vehicle transaction.</param>
        public VehicleTransactionViewModel(VehicleTransaction vehicleTransaction)
        {
            SelectedVehicleTransaction = vehicleTransaction;
        }

        /// <summary>
        /// Gets or sets the selected vehicle transaction.
        /// </summary>
        /// <value>
        /// The selected vehicle transaction.
        /// </value>
        public VehicleTransaction SelectedVehicleTransaction { get; set; }
    }
}