﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ActiveDocumentChangedEventArgs.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the ActiveDocumentChangedEventArgs type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Common
{
    using System;

    /// <summary>
    /// Defines the <seealso cref="ActiveDocumentChangedEventArgs"/> type.
    /// </summary>
    public class ActiveDocumentChangedEventArgs : EventArgs
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ActiveDocumentChangedEventArgs"/> class.
        /// </summary>
        /// <param name="previouslyActive">The previously active.</param>
        /// <param name="newlyActivated">The newly activated.</param>
        public ActiveDocumentChangedEventArgs(Document previouslyActive, Document newlyActivated)
        {
            PreviouslyActiveDocument = previouslyActive;
            NewlyActivatedDocuemnt = newlyActivated;
        }

        /// <summary>
        /// Gets the previously active document.
        /// </summary>
        public Document PreviouslyActiveDocument { get; private set; }

        /// <summary>
        /// Gets the newly activated docuemnt.
        /// </summary>
        public Document NewlyActivatedDocuemnt { get; private set; }
    }
}