﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IViewBase.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the IViewBase type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Common
{
    /// <summary>
    /// Defines the <seealso cref="IViewBase"/> interface.
    /// </summary>
    public interface IViewBase
    {
        /// <summary>
        /// Gets or sets the data context.
        /// </summary>
        /// <value>
        /// The data context.
        /// </value>
        object DataContext { get; set; }

        /// <summary>
        /// Gets the active awareness.
        /// </summary>
        IActiveAware ActiveAwareness { get; }
    }
}