﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IWindowDialogService.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the IUIWindowDialogService type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Common
{
    using System.Windows.Forms;

    /// <summary>
    /// Defines the <seealso cref="IWindowDialogService"/> interface.
    /// </summary>
    public interface IWindowDialogService
    {
        /// <summary>
        /// Shows the dialog.
        /// </summary>
        /// <param name="title">The title.</param>
        /// <param name="datacontext">The datacontext.</param>
        /// <returns>Dialog result</returns>
        bool? ShowDialog(string title, object datacontext);

        /// <summary>
        /// Shows the message.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="title">The title.</param>
        /// <param name="messageBoxButtons">The message box buttons.</param>
        /// <param name="messageBoxIcon">The message box icon.</param>
        /// <returns>Message box result</returns>
        DialogResult ShowMessage(
            string message,
            string title = "Hisaab",
            MessageBoxButtons messageBoxButtons = MessageBoxButtons.OK,
            MessageBoxIcon messageBoxIcon = MessageBoxIcon.None);
    }
}