﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="RibbonContextualTabGroup.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the RibbonContextualTabGroup type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.RibbonWrapper.FluentLibrary
{
    using System;
    using System.Windows;

    /// <summary>
    /// Defines the <seealso cref="RibbonContextualTabGroup"/> type.
    /// </summary>
    public class RibbonContextualTabGroup : IRibbonContextualTabGroup
    {
        /// <summary>
        /// Underlying ribbon contextual tab group
        /// </summary>
        private readonly Fluent.RibbonContextualTabGroup _ribbonContextualTabGroup;

        /// <summary>
        /// Initializes a new instance of the <see cref="RibbonContextualTabGroup"/> class.
        /// </summary>
        /// <param name="ribbonContextualTabGroup">The ribbon contextual tab group.</param>
        public RibbonContextualTabGroup(Fluent.RibbonContextualTabGroup ribbonContextualTabGroup)
        {
            _ribbonContextualTabGroup = ribbonContextualTabGroup;
        }

        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>The name of ribbon tab item</value>
        public string Name
        {
            get { return _ribbonContextualTabGroup.Name; }
            set { _ribbonContextualTabGroup.Name = value; }
        }

        /// <summary>
        /// Gets or sets the visibility.
        /// </summary>
        /// <value>The visibility.</value>
        public Visibility Visibility
        {
            get { return _ribbonContextualTabGroup.Visibility; }
            set { _ribbonContextualTabGroup.Visibility = value; }
        }
    }
}