﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Ribbon.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the Ribbon type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.RibbonWrapper.RibbonControlLibrary
{
    using System.Collections.ObjectModel;
    using System.Linq;

    /// <summary>
    /// Defines the <seealso cref="Hisaab.Windows.RibbonWrapper.RibbonControlLibrary.Ribbon"/> type.
    /// </summary>
    public class Ribbon : IRibbon
    {
        /// <summary>
        /// Underlying ribbon control
        /// </summary>
        private readonly Microsoft.Windows.Controls.Ribbon.Ribbon _ribbon;

        /// <summary>
        /// Initializes a new instance of the <see cref="Ribbon"/> class.
        /// </summary>
        /// <param name="ribbon">The ribbon.</param>
        public Ribbon(Microsoft.Windows.Controls.Ribbon.Ribbon ribbon)
        {
            _ribbon = ribbon;
        }

        /// <summary>
        /// Gets the contextual tab groups.
        /// </summary>
        /// <value>
        /// The contextual tab groups.
        /// </value>
        public ObservableCollection<IRibbonContextualTabGroup> ContextualTabGroups
        {
            get
            {
                return new ObservableCollection<IRibbonContextualTabGroup>(_ribbon.ContextualTabGroups.Select(x => new RibbonContextualTabGroup(x)));
            }
        }
    }
}