﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="RibbonContextualTabGroup.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the RibbonContextualTabGroup type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.RibbonWrapper.RibbonControlLibrary
{
    using System.Windows;

    /// <summary>
    /// Defines the <seealso cref="RibbonContextualTabGroup"/> type.
    /// </summary>
    public class RibbonContextualTabGroup : IRibbonContextualTabGroup
    {
        /// <summary>
        /// Underlying ribbon tab
        /// </summary>
        private readonly Microsoft.Windows.Controls.Ribbon.RibbonContextualTabGroup _ribbonTab;

        /// <summary>
        /// Initializes a new instance of the <see cref="RibbonContextualTabGroup"/> class.
        /// </summary>
        /// <param name="ribbonTab">The ribbon tab.</param>
        public RibbonContextualTabGroup(Microsoft.Windows.Controls.Ribbon.RibbonContextualTabGroup ribbonTab)
        {
            _ribbonTab = ribbonTab;
        }

        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>The name of ribbon tab item</value>
        public string Name
        {
            get { return _ribbonTab.Name; }
            set { _ribbonTab.Name = value; }
        }

        /// <summary>
        /// Gets or sets the visibility.
        /// </summary>
        /// <value>The visibility.</value>
        public Visibility Visibility
        {
            get { return _ribbonTab.Visibility; }
            set { _ribbonTab.Visibility = value; }
        }
    }
}